# Technographic APIs

Use the API playground at <https://api.salesintel.io> to test the API request and response patterns

## Append tech stack details to identified companies

<mark style="color:blue;">`GET`</mark> `https://api.salesintel.io/service/technologies/append`

You can use this API to append 1-to-n technologies to a set of companies, specified by domain (recommended) or company name. The number of technologies that can be appended in a single request is based on your plan. Credits are consumed based on the number of companies returned, whether the company uses the requested technologies or not.

Technologies must be specified using the syntax found in the SalesIntel taxonomy, which can also be accessed via APIs. There is no charge to hit the taxonomy APIs.

The response set is paginated, with up to 50 records per page. You are charged credits based on the number of records on the pages accessed. If you only retrieve the first page of results out of 10, at a page size of 50, you will be charged for 50 records. The page size is adjustable.

### Query Parameters

| Name              | Type    | Description                                                                                                                                                                                                                                                    |
| ----------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| company\_domain   | String  | Comma-separated list of domains                                                                                                                                                                                                                                |
| company\_name     | String  | Comma-separated list of names; names are not case-sensitive and are matched using "contains"                                                                                                                                                                   |
| is\_international | Boolean | Company is located in the US (false) or outside of the US (true). Without this parameter, you may return multiples of the same organization based in different countries                                                                                       |
| tech\_category    | String  | Tilda (\~) - separated lists of technographic categories in use by the company (this filter requires add-on permissions; use the [technologies taxonomy API](#retrieve-the-category-subcategory-technology-taxonomy) to identify supported categories)         |
| tech\_subcategory | String  | Tilda (\~) - separated lists of technographic sub-categories in use by the company (this filter requires add-on permissions; use the [technologies taxonomy API](#retrieve-the-category-subcategory-technology-taxonomy) to identify supported sub-categories) |
| tech\_product     | String  | Tilda (\~) - separated lists of technographic products in use by the company (this filter requires add-on permissions; use the [technologies taxonomy API](#undefined) to identify supported products)                                                         |
| tech\_vendor      | String  | Tilda (\~) - separated lists of technographic vendors in use by the company (this filter requires add-on permissions; use the [technologies taxonomy API](#undefined) to identify supported vendors)                                                           |
| verified          | Boolean | Company details are human verified (true) or machine verified (false). Without this parameter, you may return multiples of the same organization                                                                                                               |
| page              | Integer | Page number                                                                                                                                                                                                                                                    |
| page\_size        | Integer | If not specified, the default page size is 50 records                                                                                                                                                                                                          |
| sort\_by          | String  | Sort field, either company\_name or company\_location                                                                                                                                                                                                          |
| sort\_direction   | String  | Sort direction, either asc or desc                                                                                                                                                                                                                             |

### Headers

| Name                                          | Type   | Description      |
| --------------------------------------------- | ------ | ---------------- |
| X-CB-ApiKey<mark style="color:red;">\*</mark> |        | {your API key}   |
| Accept<mark style="color:red;">\*</mark>      | String | application/json |

### Response

{% tabs %}
{% tab title="200: OK" %}
200: OK&#x20;

To see the full response, use the playground at <https://api.salesintel.io>
{% endtab %}

{% tab title="401: Unauthorized" %}
401: Unauthorized&#x20;

You have not included your credentials properly in your request
{% endtab %}

{% tab title="402: Payment Required" %}
402: Payment Required&#x20;

You do not have enough credits to return any/all of your request
{% endtab %}

{% tab title="403: Forbidden" %}
403: Forbidden&#x20;

Your account does not have the necessary permissions to access this service
{% endtab %}

{% tab title="500: Internal Server Error" %}
500: Internal Server Error

There may be an outage on the SalesIntel side. If the error persists, please contact us
{% endtab %}
{% endtabs %}

{% hint style="info" %}
Be sure to review the `is_international` and `verified` params to ensure that the companies returned meet your needs
{% endhint %}

{% code title="Response Model" %}

```json
{
  "companies": [
    {
      "company_domain": "string",
      "company_id": number,
      "company_name": "string",
      "is_international": boolean,
      "requested_technologies_categories": [
        {
          "category": "string",
          "status": boolean
        }
      ],
      "requested_technologies_products": [
        {
          "product": "string",
          "status": boolean
        }
      ],
      "requested_technologies_subcategories": [
        {
          "status": boolean,
          "subcategory": "string"
        }
      ],
      "requested_technologies_vendors": [
        {
          "status": boolean,
          "vendor": "string"
        }
      ],
      "verified": boolean
    }
  ],
  "page": 0,
  "page_size": 0,
  "result_count": 0,
  "tech_count": 0,
  "total_count": 0
}
```

{% endcode %}

## Retrieve the category/subcategory technology taxonomy

<mark style="color:blue;">`GET`</mark> `https://api.salesintel.io/service/technologies/taxonomy/categories`

These values can be used in the tech\_category/subcategory filters. Although this endpoint is "unpaid", it still requires authentication and proper account access.

### Headers

| Name                                          | Type   | Description      |
| --------------------------------------------- | ------ | ---------------- |
| Accept<mark style="color:red;">\*</mark>      | String | application/json |
| X-CB-ApiKey<mark style="color:red;">\*</mark> | String | {your API key}   |

### Response

{% tabs %}
{% tab title="200: OK" %}
200: OK&#x20;

To see the full response, use the playground at <https://api.salesintel.io>
{% endtab %}

{% tab title="401: Unauthorized" %}
401: Unauthorized

You have not included your credentials properly in your request
{% endtab %}

{% tab title="403: Forbidden" %}
403: Forbidden

Your account does not have the necessary permissions to access this service
{% endtab %}

{% tab title="500: Internal Server Error" %}
500: Internal Server Error

There may be an outage on the SalesIntel side. If the error persists, please contact us.
{% endtab %}
{% endtabs %}

{% code title="Response Model" %}

```json
{
  "categories": [
    {
      "category": "string",
      "subCategories": [
        "string"
      ]
    }
  ]
}
```

{% endcode %}

## Retrieve the product/vendor technology taxonomy

<mark style="color:blue;">`GET`</mark> `https://api.salesintel.io/service/technologies/taxonomy/products`

These values can be used in the tech\_product/vendor filters. Although this endpoint is "unpaid", it still requires authentication and proper account access.

One of either `product` or `vendor` parameters is required to complete this request.

### Query Parameters

| Name            | Type    | Description                                                                                                                                                    |
| --------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| product         | String  | Tilda (\~) - separated list of products; names are not case-sensitive and are matched using "contains". One of product or vendor is required on this endpoint. |
| vendor          | String  | Tilda (\~) - separated list of vendors; names are not case-sensitive and are matched using "contains". One of product or vendor is required on this endpoint.  |
| page            | Integer | Page number                                                                                                                                                    |
| page\_size      | Integer | If not specified, the default page size is 50 records                                                                                                          |
| sort\_by        | Integer | Sort field, either product or vendor                                                                                                                           |
| sort\_direction | Integer | Sort direction, either asc or desc                                                                                                                             |

### Headers

| Name                                          | Type   | Description      |
| --------------------------------------------- | ------ | ---------------- |
| Accept<mark style="color:red;">\*</mark>      | String | application/json |
| X-CB-ApiKey<mark style="color:red;">\*</mark> | String | {your API key}   |

### Response

{% tabs %}
{% tab title="200: OK " %}
200: OK&#x20;

To see the full response, use the playground at <https://api.salesintel.io>
{% endtab %}

{% tab title="401: Unauthorized" %}
401: Unauthorized&#x20;

You have not included your credentials properly in your request
{% endtab %}

{% tab title="403: Forbidden" %}
403: Forbidden&#x20;

Your account does not have the necessary permissions to access this service
{% endtab %}

{% tab title="500: Internal Server Error " %}
500: Internal Server Error&#x20;

There may be an outage on the SalesIntel side. If the error persists, please contact us.
{% endtab %}
{% endtabs %}

{% code title="Response Model" %}

```json
{
  "page": 0,
  "page_size": 0,
  "products": [
    {
      "product": "string",
      "vendor": "string"
    }
  ],
  "result_count": 0,
  "sort_by": "string",
  "sort_direction": "string",
  "total_count": 0
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.salesintel.io/salesintel-api-documentation/technographic-apis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
